package com.keao.edu.common.enums;

/**
 状态，1，表示短信；2，表示邮件; 3,app推送消息
 */
public enum MessageSendMode implements BaseEnum<Integer, MessageSendMode> {
	SMS(1, "短信"), EMAIL(2, "邮件"), PUSH(3, "app推送消息"), SEO(4, "站内推送消息");

	private Integer code;

	private String msg;

	MessageSendMode(Integer code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public Integer getCode() {
		return this.code;
	}
}
